"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FakerGenerator = void 0;
const faker_1 = require("@faker-js/faker");
const generators_1 = require("./generators");
class FakerGenerator extends generators_1.AbstractGenerator {
    validate() {
        if (this.column.template === undefined)
            throw new Error(`faker template required for type faker: ${this.table.name}.${this.column.name}`);
        return true;
    }
    generate(rowIndex, row) {
        faker_1.faker.locale = this.column.locale || 'en';
        return faker_1.faker.fake(this.column.template);
    }
}
exports.FakerGenerator = FakerGenerator;
